import Vec3 from "./vec3";
export default class Box {
    position: Vec3;
    size: Vec3;
    constructor(position: Vec3, size: Vec3);
    center(): Vec3;
    get upperBound(): Vec3;
    contains(box: Box): boolean;
    overlaps(box: Box): boolean;
    containsPoint(x: number, y: number, z: number): boolean;
}
